## CamelIMAPXMessageInfo CamelIMAPXMessageInfo |

## Functions

guint32 | camel_imapx_message_info_get_server_flags ()
gboolean | camel_imapx_message_info_set_server_flags ()
const CamelNamedFlags * | camel_imapx_message_info_get_server_user_flags ()
CamelNamedFlags * | camel_imapx_message_info_dup_server_user_flags ()
gboolean | camel_imapx_message_info_take_server_user_flags ()
const CamelNameValueArray * | camel_imapx_message_info_get_server_user_tags ()
CamelNameValueArray * | camel_imapx_message_info_dup_server_user_tags ()
gboolean | camel_imapx_message_info_take_server_user_tags ()

## Description

## Functions

### camel_imapx_message_info_get_server_flags ()

    guint32
    camel_imapx_message_info_get_server_flags
                                   (const CamelIMAPXMessageInfo *imi);

### camel_imapx_message_info_set_server_flags ()

    gboolean
    camel_imapx_message_info_set_server_flags
                                   (CamelIMAPXMessageInfo *imi,
                                    guint32 server_flags);

### camel_imapx_message_info_get_server_user_flags ()

    const CamelNamedFlags *
    camel_imapx_message_info_get_server_user_flags
                                   (const CamelIMAPXMessageInfo *imi);

### camel_imapx_message_info_dup_server_user_flags ()

    CamelNamedFlags *
    camel_imapx_message_info_dup_server_user_flags
                                   (const CamelIMAPXMessageInfo *imi);

### camel_imapx_message_info_take_server_user_flags ()

    gboolean
    camel_imapx_message_info_take_server_user_flags
                                   (CamelIMAPXMessageInfo *imi,
                                    CamelNamedFlags *server_user_flags);

### camel_imapx_message_info_get_server_user_tags ()

    const CamelNameValueArray *
    camel_imapx_message_info_get_server_user_tags
                                   (const CamelIMAPXMessageInfo *imi);

### camel_imapx_message_info_dup_server_user_tags ()

    CamelNameValueArray *
    camel_imapx_message_info_dup_server_user_tags
                                   (const CamelIMAPXMessageInfo *imi);

### camel_imapx_message_info_take_server_user_tags ()

    gboolean
    camel_imapx_message_info_take_server_user_tags
                                   (CamelIMAPXMessageInfo *imi,
                                    CamelNameValueArray *server_user_tags);

## Types and Values